/**
  ******************************************************************************
  * @file           : main.c
  * @brief          : Main program body
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2021 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/* Private includes ----------------------------------------------------------*/
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
#define PHOTO_LEVEL_ON  (200)
#define PHOTO_LEVEL_OFF (800)

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
static const char msg1[] = {"russian warship go fuck yourself!\nfeel free to contact shilvn@gmail.com"};
volatile flag_t Flag = {0};
volatile uint32_t photo_Value;

/* Private function prototypes -----------------------------------------------*/
/*
static void servo_open(void);
static void servo_close(void);
*/
/* Private user code ---------------------------------------------------------*/

/**
  * @brief  The application entry point.
  * @retval int
  */
int main(void)
{
  /* Initialize onBoard Hardware */
  Board_Init();

  /* if light is on, wait for off */
  while (photo_Value <= PHOTO_LEVEL_OFF) {
    //IWDG->KR = 0xAAAA;
    __WFI();
  }

  /* Infinite loop */
  while (1) {
#ifdef USE_SERVO_1
    /* wait for light on */
    while (photo_Value > PHOTO_LEVEL_ON) {
      //IWDG->KR = 0xAAAA;
      __WFI();
    }
    /* open servo 1 */
    Servo_1_CHNL = SERVO1_OPEN_VAL;

    /* wait for light off */
    while (photo_Value <= PHOTO_LEVEL_OFF) {
      //IWDG->KR = 0xAAAA;
      __WFI();
    }
    /* close servo 1 */
    Servo_1_CHNL = SERVO_INIT_VAL;
#endif
    
#ifdef USE_SERVO_2
    /* wait for light on */
    while (photo_Value > PHOTO_LEVEL_ON) {
      //IWDG->KR = 0xAAAA;
      __WFI();
    }
    Servo_2_CHNL = SERVO2_OPEN_VAL;
    /* wait for light off */
    while (photo_Value <= PHOTO_LEVEL_OFF) {
      //IWDG->KR = 0xAAAA;
      __WFI();
    }
    /* close servo 2 */
    Servo_2_CHNL = SERVO_INIT_VAL;
#endif
  }
} /* End of mine() */

/**
  * @brief  This function is executed in case of error occurrence.
  * @retval None
  */
void Error_Handler(void)
{
  /* User can add his own implementation to report the HAL error return state */
  __disable_irq();
  while (1)
  {
  }
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(uint8_t *file, uint32_t line)
{
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
}
#endif /* USE_FULL_ASSERT */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
